﻿//============================================================================
//DSS REST API Learning Tutorial 1: main program code
//Goal: connect and authenticate to the DSS REST server
//============================================================================
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DataScope.Select.Api.Extractions;
using DssRestfulApiTutorials;

namespace DssRestfulApiTutorials
{
    class Program
    {
        static void Main()
        {
            //-----------------------------------------------------------------
            //Connect and authenticate to the DSS server:
            //-----------------------------------------------------------------
            
            Uri dssUri = new Uri("https://selectapi.datascope.refinitiv.com/RestApi/v1/");

            string dssUserName = "YourUserId";
            string dssUserPassword = "YourPassword";

            ExtractionsContext extractionsContext = new ExtractionsContext(dssUri, dssUserName, dssUserPassword);
            
            string sessionToken = extractionsContext.SessionToken;

            Console.WriteLine("Returned session token: " + sessionToken);
            Console.WriteLine("Press Enter to exit");
            Console.ReadLine();
        }
    }
}
